Search automation runs
curl --request POST \
--url https://api.stardex.ai/v1/automations/{id}/runs/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offset": 0,
"limit": 100,
"statuses": [],
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_by": "created_at",
"sort_order": "desc"
}
'import requests
url = "https://api.stardex.ai/v1/automations/{id}/runs/search"
payload = {
"offset": 0,
"limit": 100,
"statuses": [],
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_by": "created_at",
"sort_order": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offset: 0,
limit: 100,
statuses: [],
person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_by: 'created_at',
sort_order: 'desc'
})
};
fetch('https://api.stardex.ai/v1/automations/{id}/runs/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "bbb22222-cccc-dddd-eeee-ffffffffffff0001",
"automation_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2222",
"status": "waiting",
"attempts": 0,
"error_message": null,
"trigger_type": "candidate_status_changed",
"trigger_payload": {
"candidate_id": "345e6789-e01b-23c4-d567-890123456789",
"person_id": "456e7890-e12b-34d5-a678-901234567890",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"old_pipeline_stage_id": "123e4567-e89b-12d3-a456-426614174000",
"new_pipeline_stage_id": "123e4567-e89b-12d3-a456-426614174000",
"old_job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"new_job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"old_deal_status_id": "7a2e3d4c-5b6f-4071-8b8c-9d0e1f2a3b4c",
"new_deal_status_id": "7a2e3d4c-5b6f-4071-8b8c-9d0e1f2a3b4c",
"job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"organization_company_id": "678e9012-e34d-56e7-f890-123456789012",
"scheduled_for": "2026-08-21T10:05:00Z"
},
"change_source": "api",
"candidate_id": "345e6789-e01b-23c4-d567-890123456789",
"person_id": "456e7890-e12b-34d5-a678-901234567890",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"deal_id": "6f1d2c3b-4a5e-4f60-9a7b-8c9d0e1f2a3b",
"started_at": "2026-08-21T10:05:00Z",
"finished_at": null,
"resume_at": "2026-08-23T10:05:01Z",
"created_at": "2026-08-21T10:05:00Z",
"updated_at": "2026-08-21T10:05:01Z"
}
],
"meta": {
"total": 4,
"offset": 0,
"limit": 100
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Automations
Search automation runs
Paginated run log for one automation. Does not include per-action steps; use GET /v1/automations/runs/{runId} for steps. Only organization admins, API keys and the automation’s creator can see its runs.
POST
/
v1
/
automations
/
{id}
/
runs
/
search
Search automation runs
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
Automation ID
Body
application/json
Records to skip for pagination. Defaults to 0.
Required range:
x >= 0Max records per page (1–100). Defaults to 100.
Required range:
1 <= x <= 100Filter by one or more run statuses.
Available options:
pending, processing, waiting, completed, failed, skipped, dead_letter Filter by the trigger that created the run.
Available options:
schedule, candidate_status_changed, job_status_changed, job_created, deal_status_changed Filter to runs for one candidate (person).
Column to sort by. Defaults to created_at.
Available options:
created_at, started_at, finished_at Sort direction. Defaults to desc.
Available options:
asc, desc Was this page helpful?